Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.control
Class SatelliteTranslatingGraphMousePlugin

    java.lang.Object
      edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
          edu.uci.ics.jung.visualization.control.TranslatingGraphMousePlugin
              edu.uci.ics.jung.visualization.control.SatelliteTranslatingGraphMousePlugin

All Implemented Interfaces:
  EventListener, GraphMousePlugin, MouseListener, MouseMotionListener

public class SatelliteTranslatingGraphMousePlugin
extends TranslatingGraphMousePlugin

Overrides TranslatingGraphMousePlugin so that mouse events in the satellite view cause translating of the main view

Author:
  Tom Nelson - RABA Technologies
See Also:
  `TranslatingGraphMousePlugin`

Field Summary

Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`cursor, down, modifiers`

Constructor Summary
`SatelliteTranslatingGraphMousePlugin()`
`SatelliteTranslatingGraphMousePlugin(int modifiers)`

Method Summary
`void` | `mouseDragged(MouseEvent e)` chack the modifiers.

Methods inherited from class edu.uci.ics.jung.visualization.control.TranslatingGraphMousePlugin
`mouseClicked, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased`

Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`checkModifiers, getCursor, getModifiers, setCursor, setModifiers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SatelliteTranslatingGraphMousePlugin

    public SatelliteTranslatingGraphMousePlugin()

### SatelliteTranslatingGraphMousePlugin

    public SatelliteTranslatingGraphMousePlugin(int modifiers)

Method Detail

### mouseDragged

    public void mouseDragged(MouseEvent e)

  chack the modifiers. If accepted, translate the main view according to the dragging of the mouse pointer in the satellite view

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  Overrides:
    `mouseDragged` in class `TranslatingGraphMousePlugin`
  Parameters:
    `e` - the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD